Уязвимость BDU:2022-02131

Дата: 29.03.2022. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2022-02131.

Наименование уязвимости: Уязвимость функции utf_ptr2char() текстового редактора Vim, позволяющая нарушителю выполнить произвольный код.

Описание уязвимости: Уязвимость функции utf_ptr2char() текстового редактора Vim связана с использованием памяти после ее освобождения. Эксплуатация уязвимости может позволить нарушителю, действующему удалённо, выполнить произвольный код с помощью специально созданного файла
Уязвимое ПО: Операционная система Debian GNU/Linux 9.0 | ПО виртуализации/ПО виртуального программно-аппаратного средства Red Hat Inc. Red Hat Virtualization 4 | Операционная система Red Hat Inc. Red Hat Enterprise Linux 8 | Операционная система Debian GNU/Linux 10.0 | Операционная система Fedora Project Fedora 34 | Операционная система Debian GNU/Linux 11.0 | Операционная система Fedora Project Fedora 35 | Операционная система ООО «Ред Софт» РЕД ОС 7.3 | Прикладное ПО информационных систем vim до 8.2.4646 |

Наименование ОС и тип аппаратной платформы: Debian GNU/Linux 90 | Red Hat Enterprise Linux 8 | Debian GNU/Linux 100 | Fedora 34 | Debian GNU/Linux 110 | Fedora 35 | РЕД ОС 73 |
Дата выявления: 29.03.2022.
CVSS 2.0: AV:N/AC:L/Au:N/C:C/I:C/A:C
Уровень опасности уязвимости: Критический уровень опасности (базовая оценка CVSS 2.0 составляет 10)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 8,8)

Возможные меры по устранению:
1. Использование рекомендаций производителей:

Для Vim:
https://github.com/vim/vim/commit/b55986c52d4cd88a22d0b0b0e8a79547ba13e1d5

Для Ред ОС:
http://repo.red-soft.ru/redos/7.3c/x86_64/updates/

Для программных продуктов Red Hat Inc.:
https://access.redhat.com/security/cve/cve-2022-1154

Для Debian GNU/Linux:
https://security-tracker.debian.org/tracker/CVE-2022-1154

Для Fedora:
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/C2CQXRLBIC4S7JQVEIN5QXKQPYWB5E3J/
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/RAIQTUO35U5WO2NYMY47637EMCVDJRSL/

2. Компенсирующие меры (для РЕД ОС):
запретить использование в ОС пакета Vim
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Существует в открытом доступе
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2022-1154. SB2022033113.

Тип ошибки CWE: CWE-416
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://www.cybersecurity-help.cz/vdb/SB2022033113
https://github.com/vim/vim/commit/b55986c52d4cd88a22d0b0b0e8a79547ba13e1d5
http://repo.red-soft.ru/redos/7.3c/x86_64/updates/
https://huntr.dev/bounties/7f0ec6bc-ea0e-45b0-8128-caac72d23425/
https://vuldb.com/ru/?id.196078
https://access.redhat.com/security/cve/cve-2022-1154
https://security-tracker.debian.org/tracker/CVE-2022-1154
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/C2CQXRLBIC4S7JQVEIN5QXKQPYWB5E3J/
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/RAIQTUO35U5WO2NYMY47637EMCVDJRSL/

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован.